Bug 23328 - Some check-in messages should be dismissable
Summary: Some check-in messages should be dismissable
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Nick Clemens
URL:
Keywords: release-notes-needed
Depends on: 23145
Blocks: 23399
  Show dependency treegraph
 
Reported: 2019-07-16 18:46 UTC by Owen Leonard
Modified: 2019-09-12 13:36 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23328: Some check-in messages should be dismissable (7.42 KB, patch)
2019-07-18 13:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23328: Some check-in messages should be dismissable (7.47 KB, patch)
2019-07-19 20:19 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23328: Some check-in messages should be dismissable (7.53 KB, patch)
2019-07-30 12:41 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-07-16 18:46:49 UTC
When checking in an item which has a hold, the confirmation modal has an option, "Ignore," which takes no action but dismisses the modal. The same functionality should be applied to other modals which require no further action: Confirmation of a new transfer and confirmation of a transfer already in progress.
Comment 1 Owen Leonard 2019-07-18 13:31:55 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-07-19 20:19:12 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2019-07-30 12:41:45 UTC
Created attachment 91869 [details] [review]
Bug 23328: Some check-in messages should be dismissable

There are several cases where the check-in process displays a modal
asking for confirmation. There are several cases where confirming or
dismissing the modal unnecessarily reloads the page. In cases where no
server-side action is necessary, the modal should be dismissed without
submitting a form.

To test, apply the patch and go to Circulation -> Check in

With AutomaticItemReturn enabled and AllowReturnToBranch set to "any
library,"

 - Check in an item which belongs at another library and is not already
   in-transit. In the confirmation modal which appears, clicking the
   "OK" button should close the modal without reloading the page.
 - Check in another item from anther branch. In the confirmation modal
   clicking the "Print slip" button should trigger a pop-up window for
   printing a slip but the modal should be dismissed without reloading
   the page.
 - Check in an item which is already in-transit to another branch. In
   the confirmation modal, clicking either the "OK" or "Print transfer
   slip" buttons should dismiss the modal without reloading the page.
   - Clicking the "Cancel transfer" button should work as before: The
     page reloads and the transfer is canceled.

With AutomaticItemReturn disabled,

 - Check in an item belonging to another library. The confirmation modal
   should ask you whether you want to "Transfer now?" Clicking "No"
   should dismiss the modal without reloading the page. The other
   options should reload the page and initiate the transfer.

With AllowReturnToBranch set to "only the library the item is from,"

 - Check in an item belonging to another library. You should see a
   "Cannot check in" modal. Clicking the "OK" button should close the
   modal without reloading the page.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2019-08-05 14:44:47 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Martin Renvoize 2019-08-05 14:47:59 UTC
Nice work!

Pushed to master for 19.11.00